Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
RecnoStats Members
RecnoStats Class Methods Properties See Also Send Feedback

The RecnoStats type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| DuplicatePages | Duplicate pages.
| DuplicatePagesFreeBytes | Bytes free in duplicate pages.
| EmptyPages | Empty pages.
| FreePages | Pages on the free list.
| InternalPages | Internal pages.
| InternalPagesFreeBytes | Bytes free in internal pages.
| LeafPages | Leaf pages.
| LeafPagesFreeBytes | Bytes free in leaf pages.
| Levels | Tree levels.
| MagicNumber | Magic number.
| MetadataFlags | Metadata flags.
| MinKey | Minkey value.
| nData | Number of data items.
| nKeys | Number of unique keys.
| nPages | Page count.
| OverflowPages | Overflow pages.
| OverflowPagesFreeBytes | Bytes free in overflow pages.
| PageSize | Page size.
| RecordLength | Fixed-length record length.
| RecordPadByte | Fixed-length record pad.
| Version | Version number.

# See Also

RecnoStats Class
BerkeleyDB Namespace